com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.AsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient
  - - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.AsyncClient

- All Implemented Interfaces:
    ThriftFlumeEventServer.AsyncIface
  Enclosing class:
    ThriftFlumeEventServer

      public static class ThriftFlumeEventServer.AsyncClient
      extends org.apache.thrift.async.TAsyncClient
      implements ThriftFlumeEventServer.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftFlumeEventServer.AsyncClient.append_call`
    `static class` | `ThriftFlumeEventServer.AsyncClient.close_call`
    `static class` | `ThriftFlumeEventServer.AsyncClient.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent evt, org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.append_call> resultHandler)`
    `void` | `close(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.AsyncClient

          public ThriftFlumeEventServer.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                            org.apache.thrift.async.TAsyncClientManager clientManager,
                                            org.apache.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### append

          public void append(ThriftFlumeEvent evt,
                    org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.append_call> resultHandler)
                      throws org.apache.thrift.TException

      Specified by:
        `append` in interface `ThriftFlumeEventServer.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### close

          public void close(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `close` in interface `ThriftFlumeEventServer.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.